Kenyan Bank Account Verification
Kenyan Bank Account Lookup API
To perform verification on a Kenyan bank account, make a POST request to the bank account lookup endpoint;
https://api.korapay.com/merchant/api/v1/identities/ke/bank-accountThe request body should have the following parameters:
{
"id": "0123456789",
"bank_code": "68",
"verification_consent": true
}Request with data matching
{
"id": "0123456789",
"bank_code": "68",
"verification_consent": true,
"validation": {
"first_name": "john",
"last_name": "doe",
"date_of_birth": "1988-04-04"
}
}| Field | Data Type | Description |
|---|---|---|
id | string | Required - Bank account number (5-20 digits) |
bank_code | string | Required - Bank code (1-10 alphanumeric characters). Use GET /identities/ke/banks to retrieve supported banks. |
verification_consent | Boolean | Required - Indicate subject has given consent. Must be true |
Kenyan Bank Account response
reference
id
id_type
bank_details
account_details
first_name
last_name
middle_name
validation
requested_by
{
"status": true,
"message": "Bank account verified successfully",
"data": {
"reference": "VR-HCqPzTBqlkpZVuynR",
"id": "0123456789",
"id_type": "ke_bank_account",
"bank_details": {
"name": "Diamond Trust Bank (DTB)",
"code": "31"
},
"account_details": {
"number": "0123456789",
"name": "JOHN DOE"
},
"adverse_media_report": null,
"aml_report": null,
"requested_by": "API User"
}
}Fetch Kenyan Banks
To retrieve the list of supported Kenyan bank codes, make a GET request to;
https://api.korapay.com/merchant/api/v1/identities/ke/banksResponse:
{
"status": true,
"message": "Banks fetched successfully",
"data": [
{ "name": "Diamond Trust Bank", "code": "31" },
{ "name": "DIB Bank", "code": "38" }
]
}Querying Bank Account Verifications
Bank account verifications are stored separately from ID lookup verifications. To retrieve bank account verification records, use the Bank Account Verification endpoints.
To query a single bank account verification, make a GET request to;
https://api.korapay.com/merchant/api/v1/verifications/bank-accounts/:referenceTo retrieve bank account verification history, make a GET request to;
https://api.korapay.com/merchant/api/v1/verifications/bank-accountsQuery parameters:
start_date
end_date
limit (default 10, max 50)
page (default 1)Updated 5 days ago
Did this page help you?
